package tech.petrepopescu.azurelogindemo.controller;

import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
@RestController
public class HelloController {
    @GetMapping("/admin")
    @ResponseBody
    @PreAuthorize("hasAuthority('APPROLE_Admin')")
    public String admin() {
        return "Admin message";
    }

    @GetMapping("/user")
    @ResponseBody
    @PreAuthorize("hasAuthority('ROLE_USER')")
    public String user() {
        return "User message";
    }

    @GetMapping("/all")
    public String publicEndpoint() {
        return "This is public";
    }
}